MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
sc::vec4 Class Reference

## Public Member Functions
| vec4 (const double x, const double y, const double z, const double w)
| vec4 (const double d)
| vec4 (const vec4 &v)
| vec4 (const vec3 &v)
| vec4 (const vec3 &v, const double d)
vec4 & | operator= (const vec4 &v)
vec4 & | operator+= (const vec4 &v)
vec4 & | operator-= (const vec4 &v)
vec4 & | operator*= (const double d)
vec4 & | operator/= (const double d)
double & | operator[] (int i)
const double & | operator[] (int i) const
double | length ()
double | length2 ()
vec4 & | normalize ()
vec4 & | apply (V_FCT_PTR fct)

## Protected Attributes
double | n [4]

## Friends
class | vec3
class | mat4
vec4 | operator- (const vec4 &v)
vec4 | operator+ (const vec4 &a, const vec4 &b)
vec4 | operator- (const vec4 &a, const vec4 &b)
vec4 | operator* (const vec4 &a, const double d)
vec4 | operator* (const double d, const vec4 &a)
vec4 | operator* (const mat4 &a, const vec4 &v)
vec4 | operator* (const vec4 &v, const mat4 &a)
double | operator* (const vec4 &a, const vec4 &b)
vec4 | operator/ (const vec4 &a, const double d)
int | operator== (const vec4 &a, const vec4 &b)
int | operator!= (const vec4 &a, const vec4 &b)
std::ostream & | operator<< (std::ostream &s, vec4 &v)
std::istream & | operator>> (std::istream &s, vec4 &v)
void | swap (vec4 &a, vec4 &b)
vec4 | min (const vec4 &a, const vec4 &b)
vec4 | max (const vec4 &a, const vec4 &b)
vec4 | prod (const vec4 &a, const vec4 &b)
vec3 | operator* (const mat4 &a, const vec3 &v)
mat4 | operator* (const mat4 &a, const mat4 &b)

The documentation for this class was generated from the following file:

- algebra3.h